Get price waterfall detail by chart ID

Retrieves the price waterfall detail based on the given cart's line item ID and chart ID.

Required Fields:

  • cartId (route) - required
  • lineitemId (route) - required
  • chartId (route) - required

Responses

  • 200 OK: the price waterfall detail is returned.
  • 204 No Content: no waterfall detail found.
  • 422 Unprocessable Entity: the request could not be processed.
  • 500 Internal Server Error: an unexpected error occurred.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The cart identifier

string
required

The line item identifier

string
required

The chart identifier

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses
200

OK

204

No Content

500

Internal Server Error

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json